summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2008-03-09 21:07:55 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2008-03-09 21:07:55 +0000
commitf7cabd391bffa402ab12fc610bb88b9ee556580b (patch)
tree314d23315d943d3211e61faa530cefa41e2c1d0c /eclass/mysql_fx.eclass
parentAdding new revision number. (diff)
downloadhistorical-f7cabd391bffa402ab12fc610bb88b9ee556580b.tar.gz
historical-f7cabd391bffa402ab12fc610bb88b9ee556580b.tar.bz2
historical-f7cabd391bffa402ab12fc610bb88b9ee556580b.zip
Symlink patches instead of moving them.
Diffstat (limited to 'eclass/mysql_fx.eclass')
-rw-r--r--eclass/mysql_fx.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/mysql_fx.eclass b/eclass/mysql_fx.eclass
index 1ee719a4e351..ffbaa21776fe 100644
--- a/eclass/mysql_fx.eclass
+++ b/eclass/mysql_fx.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql_fx.eclass,v 1.20 2007/04/23 19:35:05 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql_fx.eclass,v 1.21 2008/03/09 21:07:55 robbat2 Exp $
# Author: Francesco Riosa (Retired) <vivo@gentoo.org>
# Maintainer: Luca Longinotti <chtekk@gentoo.org>
@@ -71,7 +71,7 @@ _mysql_test_patch_ver_pn() {
local flags=$1 pname=$2
if [[ $(( $flags & $(( 1 + 4 + 16 )) )) -eq 21 ]] ; then
einfo "using '${pname}'"
- mv -f "${filesdir}/${pname}" "${EPATCH_SOURCE}" || die "Couldn't move ${pname}"
+ ln -sf "${filesdir}/${pname}" "${EPATCH_SOURCE}" || die "Couldn't move ${pname}"
return 0
fi